Debian Bug report logs - #693824
Add multiarch metadata

version graph

Package: src:ed; Maintainer for src:ed is Martin Zobel-Helas <zobel@debian.org>;

Reported by: Wookey <wookey@wookware.org>

Date: Tue, 20 Nov 2012 18:18:07 UTC

Severity: normal

Tags: patch

Found in version ed/1.6.2

Fixed in version ed/1.8-1

Done: Martin Zobel-Helas <zobel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Zobel-Helas <zobel@debian.org>:
Bug#693824; Package src:ed. (Tue, 20 Nov 2012 18:18:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wookey <wookey@wookware.org>:
New Bug report received and forwarded. Copy sent to Martin Zobel-Helas <zobel@debian.org>. (Tue, 20 Nov 2012 18:18:09 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wookey <wookey@wookware.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Add multiarch metadata
Date: Tue, 20 Nov 2012 18:16:49 +0000
[Message part 1 (text/plain, inline)]
Source: ed
Version: 1.6.2
Severity: normal
Tags: patch
User: multiarch-devel@lists.alioth.debian.org
Usertag: multiarch

For cross-dependencies to work properly under multiarch this package needs to be marked

Multi-Arch: foreign

so that it can satisfy a build-dependency for any architecture. See http://wiki.debian.org/Multiarch/CrossDependencies and http://wiki.debian.org/Multiarch/Implementation for explanation and background. 

This enable both cross-grading between architectures and cross-building. 


-- System Information:
Debian Release: 6.0.6
  APT prefers stable
  APT policy: (990, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32.33-kvm-i386-20111128-dirty (SMP w/1 CPU core)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash
[ed-1.6.2-multiarch.patch (text/x-diff, attachment)]

Reply sent to Martin Zobel-Helas <zobel@debian.org>:
You have taken responsibility. (Sun, 05 May 2013 12:06:13 GMT) Full text and rfc822 format available.

Notification sent to Wookey <wookey@wookware.org>:
Bug acknowledged by developer. (Sun, 05 May 2013 12:06:13 GMT) Full text and rfc822 format available.

Message #10 received at 693824-close@bugs.debian.org (full text, mbox):

From: Martin Zobel-Helas <zobel@debian.org>
To: 693824-close@bugs.debian.org
Subject: Bug#693824: fixed in ed 1.8-1
Date: Sun, 05 May 2013 12:02:59 +0000
Source: ed
Source-Version: 1.8-1

We believe that the bug you reported is fixed in the latest version of
ed, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 693824@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Zobel-Helas <zobel@debian.org> (supplier of updated ed package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 05 May 2013 12:44:15 +0200
Source: ed
Binary: ed
Architecture: source amd64
Version: 1.8-1
Distribution: unstable
Urgency: low
Maintainer: Martin Zobel-Helas <zobel@debian.org>
Changed-By: Martin Zobel-Helas <zobel@debian.org>
Description: 
 ed         - classic UNIX line editor
Closes: 683045 693824
Changes: 
 ed (1.8-1) unstable; urgency=low
 .
   * New upstream version 1.7
   * New upstream version 1.8
   * Add multiarch metadata (Closes: #693824, #683045)
Checksums-Sha1: 
 c4842e85e6e1d7da2285411b5dc7d066ef10dbab 1624 ed_1.8-1.dsc
 e0a8edd4ed750ae67164b8bef7a30a051fe902ea 86844 ed_1.8.orig.tar.gz
 4c8a9ec8980788b0c963a006db3ac142015698af 6370 ed_1.8-1.diff.gz
 dcd1510b1608ee45017c0c08010f59b19bae5819 57470 ed_1.8-1_amd64.deb
Checksums-Sha256: 
 cbdd0bcf93100b1c1617f825e0076fbbcbc90efa7356367afce9e2695c606c13 1624 ed_1.8-1.dsc
 64c138d33b1ea4b9daa88e045da0619e2a43cb99a9d378417d20163f410a7273 86844 ed_1.8.orig.tar.gz
 a56709cdada5fe6d6003f0b14834956784244338dbbabe1ca4b3b5a653fef91b 6370 ed_1.8-1.diff.gz
 1ccadca29fc79a3ff2047f50769482a0f940a21fac1a7e58eaf206dd03892b4d 57470 ed_1.8-1_amd64.deb
Files: 
 866d80726f79b7b798fca8ee94efdca1 1624 editors optional ed_1.8-1.dsc
 2268d2344b3c52d23730acb2e3c942fe 86844 editors optional ed_1.8.orig.tar.gz
 e2b935d1560823ca91193ebe8fa920fc 6370 editors optional ed_1.8-1.diff.gz
 470bc5f3e996ea8aa7e42c51754fa828 57470 editors optional ed_1.8-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRhkeVAAoJEFOxrG2xG2J7KwcP/19eSxkEehyaMST6m9aFT/QX
EjNj71t5tdn92X+JZ24hzmZIsS44Illo2H8PeSJtcBVE8fLErNPUsVeoni8Flsu9
j6TCG1TtqyBDVWDD7Nf10U8b/9Zug35TK+7uSce9IB9eDYyPjHWx+jay4UX955nO
Gkc1Ll/eyFDAyHvjJFjVtheHV1/9FAx+o+Vh8VWPYWirFM7JHbm7Db2BympM8R/4
rxYStGOGnauoBZLOYElqqkXvabHyUqPTs8YAUCbjy5WxI8XPQ3IryAtBrLQKRybL
dtk2AoR/Rtq7lAqrZGNJ4NSRHFjXqaarTanNVCDBcq81S4v1s9xw/WOuSwXfu2zd
1Zp20v2gxE8kWvJHjKEJm6Wc1XYKaeGxed0vSMnqYpYorWGmnIfydsGXa++wjl+Z
9/7KuWezeg2i5uQl0qePlGfZJAjUcw+OcRRXV3kjR/IJBeyt9MvGAwaeK0Y33g7s
dtL6xHLhejH++9+be80CPHSHUk1yU9gaYc1j0ps/bc4ar9jq64+W3zHZXMK6R9Bf
SGz9azX5iFflaVdBr50fLZyFw1jBdG97msaqFdS/2Zw+pdPWdTdiDD0MHbV1JnTW
Frl6QHh1gmk2l2vPQO0+LNWR2MPWskbuHvsqqOkyL0x1CR6w8ouQCBAwlwdUATTc
vbELrfRTRcHYNgCImBMu
=/SwT
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 03 Jun 2013 07:58:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 16:56:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.